Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.surf_fs_asc

Simple FreeSurfer ASCII surface file I/O functions

Reads and writes surface anatomy files as understood by AFNI SUMA (and maybe other programs) The format for a surface with NV vertices and NF faces is:

NV NF x_0 y_0 z_0 0 x_1 y_1 z_1 0 ... x_[NV-1] y_[NV-1] z_[NV-1] 0 f_00 f01 f02 0 f_10 f11 f12 0 ... f_[NF-1]0 f_[NF-1]1 f_[NF-1]2 0

where the (x,y,z) triples are coordinates and fi(p,q,r) are faces so that vertices with indices p, q and r form a single triangle

Created on Feb 12, 2012

@author: nick

Functions

`read`(fn) | Reads a AFNI SUMA ASCII surface
`write`(fn, surface[, overwrite, comment]) | Writes a AFNI SUMA ASCII surface